RadioLib Universal wireless communication library for Arduino

Public Member Functions | List of all members
Stm32wlxHal Class Reference

Hardware Abstraction Layer for STM32WL. More...

Inheritance diagram for Stm32wlxHal:

## Public Member Functions
void | pinMode (uint32_t dwPin, uint32_t dwMode)
| Pin mode override to handle STM32WL virtual pins. More...
void | digitalWrite (uint32_t dwPin, uint32_t dwVal)
| Digital write override to handle STM32WL virtual pins. More...
uint32_t | digitalRead (uint32_t ulPin)
| Digital read override to handle STM32WL virtual pins. More...

## Detailed Description

Hardware Abstraction Layer for STM32WL.

## Member Function Documentation

## ◆ digitalRead()

uint32_t Stm32wlxHal::digitalRead | ( | uint32_t | ulPin | ) |
| inline

Digital read override to handle STM32WL virtual pins.

Parameters

  ulPin | Pin to read.

Returns
  Value read on the pin.

## ◆ digitalWrite()

void Stm32wlxHal::digitalWrite | ( | uint32_t | dwPin,
|  | uint32_t | dwVal
| ) |  |
| inline

Digital write override to handle STM32WL virtual pins.

Parameters

  dwPin | Pin to set.
  dwVal | Value to set.

## ◆ pinMode()

void Stm32wlxHal::pinMode | ( | uint32_t | dwPin,
|  | uint32_t | dwMode
| ) |  |
| inline

Pin mode override to handle STM32WL virtual pins.

Parameters

  dwPin | Pin to set.
  dwMode | Mode to set.

The documentation for this class was generated from the following file:

- src/modules/SX126x/STM32WLx_Module.cpp